﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_iterate_collection
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Make two arrays, a list, and a dictionary.
            string[] fruits = 
            { 
                "Apple", 
                "Banana", 
                "Cherry" 
            };
            List<string> cookies = new List<string>() 
            { 
                "Chocolate Chip", 
                "Snickerdoodle", 
                "Peanut Butter" 
            };
            Dictionary<int, string> dict = new Dictionary<int, string>()
            {
                {1, "One"},
                {2, "Two"},
                {3, "Three"},
            };
            string[,] array2d =
            {
                { "0, 0", "0, 1", "0, 2"},
                { "1, 0", "1, 1", "1, 2"},
            };

            // Iterate over the items in the arrays, list, and dictionary.
            foreach (string fruit in fruits) lstFruits.Items.Add(fruit);
            foreach (string cookie in cookies) lstCookies.Items.Add(cookie);
            foreach (KeyValuePair<int, string> pair in dict)
                lstDictionary.Items.Add(pair);
            foreach (string item in array2d) lstRowColumn.Items.Add(item);
        }
    }
}
